Bug 632879 - xvfb-run dies with mktemp error
Summary: xvfb-run dies with mktemp error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2009-1573
TreeView+ depends on / blocked
 
Reported: 2010-09-11 17:12 UTC by Kalev Lember
Modified: 2018-04-11 08:19 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-server-1.9.0-9.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-13 18:40:37 UTC


Attachments (Terms of Use)

Description Kalev Lember 2010-09-11 17:12:37 UTC
xvfb-run from xorg-x11-server-Xvfb-1.9.0-7.fc15.i686 package dies with the following error:
$ xvfb-run asdf
mktemp: too few X's in template `Xauthority'

It might make sense to update xvfb-run to the latest version from http://git.debian.org/?p=pkg-xorg/xserver/xorg-server.git;a=blob;f=debian/local/xvfb-run;hb=HEAD

Debian's xvfb-run also contains a fix for CVE-2009-1573 and it looks like Fedora's xvfb-run is still vulnerable.

Comment 1 Matěj Cepl 2010-09-13 15:59:09 UTC
Please test with packages from http://koji.fedoraproject.org/koji/taskinfo?taskID=2464575 ... has it been fixed for you?

Comment 2 Kalev Lember 2010-09-13 16:45:07 UTC
Tested the packages. xvfb-run worked fine for me and the issue described in CVE-2009-1573 appears to be fixed as well.

Thanks!

Comment 3 Matěj Cepl 2010-09-13 18:40:37 UTC
Updated build is http://koji.fedoraproject.org/koji/taskinfo?taskID=2464867, but yes this seems to be fixed.

Closing

Comment 4 Fedora Update System 2010-09-13 18:56:54 UTC
xorg-x11-server-1.9.0-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.9.0-9.fc14

Comment 5 Fedora Update System 2010-09-13 19:11:16 UTC
xorg-x11-server-1.8.2-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.8.2-4.fc13

Comment 6 Fedora Update System 2010-09-22 00:36:22 UTC
xorg-x11-server-1.8.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-09-23 12:53:28 UTC
xorg-x11-server-1.9.0-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.